Bug 115297 - qt-3.3 and QTDIR
qt-3.3 and QTDIR
Status: CLOSED UPSTREAM
Product: Red Hat Raw Hide
Classification: Retired
Component: qt (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-10 08:23 EST by Rex Dieter
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 09:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2004-02-10 08:23:00 EST
Any chance of seeing qt-3.3 in FC2?  It's -dlopen-opengl option looks
promising for improving prelinking...

While we're on the subject, redhat's/fedora's default QTDIR has been
/usr/lib/qt-3.x for awhile now, which causes at least a small amount
of upgrade pain whenever x changes.  Is there any good reason
(anymore) to not put all qt-3.x installs in a common directory, say
something like /usr/lib/qt3?
Comment 1 Ngo Than 2004-02-11 09:41:14 EST
something is still broken with -dlopen-opengl ATM. Anyhow openGL
applications don't work correctly with this. Yes, i will rebuild it
with -dlopen-opengl if this issue is fixed ;-)

There's some incompatibility problem in some last release, to avoid
such problem i don't want to use the path like, /usr/lib/qt3!
Comment 2 Rex Dieter 2004-02-11 11:06:57 EST
> There's some incompatibility problem in some last release, to avoid
> such problem i don't want to use the path like, /usr/lib/qt3!

Like what?  As I said, there's pain no matter what you do.  It's
either when you upgrade from qt-3.x to qt-3.(x+1) or make the change
back to a single dir like /usr/lib/qt3.  Are you saying you'd rather
suffer for every qt upgrade rather than once by switching to /usr/lib/qt3?
Comment 3 Rex Dieter 2004-02-11 12:57:58 EST
> something is still broken with -dlopen-opengl ATM. Anyhow openGL
> applications don't work correctly with this. 

It worked like a breeze for me in my initial tests (just trying out
KDE OpenGL screensavers).

If it's not too much trouble, could you provide details as to the
problems you discoverred?
Comment 4 Ngo Than 2004-02-12 12:11:22 EST
>Like what?  As I said, there's pain no matter what you do.  It's
>either when you upgrade from qt-3.x to qt-3.(x+1) or make the change
>back to a single dir like /usr/lib/qt3.  Are you saying you'd rather
>suffer for every qt upgrade rather than once by switching to
>/usr/lib/qt3?

if i'm not wrong, there was in qt-3.0.x. And it has broken redhat-artwork!

>It worked like a breeze for me in my initial tests (just trying out
>KDE OpenGL screensavers).
>

all opengl examples, which are included in qt, don't work for me. They
just show black window.




Note You need to log in before you can comment on or make changes to this bug.